## gmd-2-33-2009-supplement.zip

=== doc/Makefile ===
default: spud_manual.pdf

%.pdf: %.tex
	pdflatex $^
	if fgrep "Rerun to" $*.log; then $(MAKE) --assume-new $^ $@;fi
ifndef NOBIBTEX
	if fgrep "There were undefined"  $*.log;\
	then bibtex $*; \
	$(MAKE) NOBIBTEX=true --assume-new $^ $@;fi
endif

# We don't rm *.ps *.pdf because that might clobber image files. Instead, put any
# ps files which should go in $(PSFILES)
clean: 
	rm $(TARGETS) $(PSFILES) *.eps *.dvi *.aux *.log *.bbl *.blg *.out *.toc 2>/dev/null||true

=== debian/changelog ===
spud (1.0.7) unstable; urgency=low

  * Include spud-set and related changes to Diamond and the manual.

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 08 Jan 2009 17:52:43 +0000

spud (1.0.6) unstable; urgency=low

  * Cause spudtools to conflict with older libspud-dev

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 15 Sep 2008 17:33:46 +0100

spud (1.0.5) unstable; urgency=low

  * Split out the schema and spud-preprocess into a separate package.

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 15 Sep 2008 17:06:27 +0100

spud (1.0.4) unstable; urgency=low

  * Diamond plugins now work.
  * Added examples directory and ballistics example.

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 15 Sep 2008 13:56:52 +0100

spud (1.0.3) hardy; urgency=low

  * Move the GDK thread initialisation call.
  * If you think you understand threads, you don't
    understand threads.

 -- Patrick Farrell <patrick.farrell06@imperial.ac.uk>  Thu, 14 Aug 2008 17:27:52 +0100

spud (1.0.2) hardy; urgency=low

  * Fix infinite loop on load due to awkward schema changes. 

 -- Patrick Farrell <patrick.farrell06@imperial.ac.uk>  Thu, 14 Aug 2008 11:29:18 +0100

spud (1.0.1) hardy; urgency=low

  * Fix a few bugs.

 -- Patrick Farrell <patrick.farrell06@imperial.ac.uk>  Tue, 29 Jul 2008 14:50:07 +0100

spud (1.0) unstable; urgency=low

  * Initial release!

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 26 Jun 2008 18:05:51 +0100

spud (0.99) unstable; urgency=low

  * Release candidate

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 26 Jun 2008 15:48:25 +0100

spud (0.9.1) unstable; urgency=low

  * Fix for file reading bug.

 -- David Ham <david.ham@imperial.ac.uk>  Tue, 24 Jun 2008 18:20:19 +0100

spud (0.9) unstable; urgency=low

  * Version with merged in new xml parser.

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 23 Jun 2008 18:19:33 +0100

spud (0.2.5) unstable; urgency=low

  * Bugfix for setting of rank and shape

 -- David Ham <david.ham@imperial.ac.uk>  Mon, 02 Jun 2008 16:24:00 +0100

spud (0.2.4) unstable; urgency=low

  * Various diamond bugs reverted.
  * Interface changes to libspud.
  * Spud is now all double precision independent of compiler options.
	
 -- David Ham <david.ham@imperial.ac.uk>  Tue, 27 May 2008 15:14:08 +0100

spud (0.2.3) unstable; urgency=low

  * Changed python2.5 dependency to python
  * Added spud-preprocess

 -- David Ham <david.ham@imperial.ac.uk>  Fri, 23 May 2008 17:45:54 +0100

spud (0.2.1) unstable; urgency=low

  * Caused package to conflict with and replace python-diamond.

 -- David Ham <david.ham@imperial.ac.uk>  Thu, 15 May 2008 12:11:37 +0100

spud (0.2) unstable; urgency=low

  * Transition to spud source package producing libspud-dev 
    and diamond binary packages.

 -- David Ham <david.ham@imperial.ac.uk>  Tue, 13 May 2008 16:15:09 +0100

spud (0.1b-1) gutsy; urgency=low

  * Bundle the modified Xvif parser with diamond.
  * Lots of bugfixes and new features.

 -- Patrick Farrell <patrick.farrell@imperial.ac.uk>  Mon, 10 Dec 2007 12:21:46 +0000

spud (0.1a-1) unstable; urgency=low

  * source package automatically created by stdeb 0.2.a1

 -- Patrick Farrell <patrick.farrell@imperial.ac.uk>  Mon, 03 Dec 2007 13:26:28 +0000

=== debian/control ===
Source: spud
Maintainer: The ICOM team <patrick.farrell@imperial.ac.uk>
Uploaders: David Ham <david.ham@imperial.ac.uk>
Section: science
Priority: extra
Build-Depends: gfortran (>=4.2), g++ (>=4.2), python-setuptools (>= 0.6b3-1), python-all-dev (>= 2.3.5-11), debhelper (>= 5.0.38), python-central (>= 0.5.6), texlive
Standards-Version: 3.8.0
XS-Python-Version: >= 2.5

Package: diamond
Architecture: all
Depends: python-gtk2, python-lxml, libxml2-utils, python, spudtools
Recommends: python-psyco
Suggests: 
Conflicts: python-diamond
Replaces: python-diamond
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A schema-driven interface for writing XML documents
 Diamond is a dynamic schema-driven graphical user interface for writing
 XML documents. The interface is automatically generated from a schema
 written in RELAX NG describing an XML language. The interface is optimised
 for configuring models for solving problems in computational mechanics,
 though the technology is generic to any sort of XML document creation.

Package: libspud-dev
Architecture: any
Depends: ${shlibs:Depends}, spudtools
Recommends: diamond
Section: libdevel
Suggests:
Description: An automatic options system for scientific models.
 Spud is an automatic options system which reads an xml options file 
 into a dictionary for immediate access from within the model. The xml 
 file is generated using a spud-compatible RELAX NG schema and a
 schema-aware editor such as Diamond.

Package: spudtools
Architecture: all
Depends: ${shlibs:Depends}, trang-amcg
Recommends: diamond
Conflicts: libspud-dev (<1.0.6)
Replaces: libspud-dev (<1.0.6)
Section: science
Suggests:
Description: An automatic options system for scientific models.
 Spud is an automatic options system which reads an xml options file 
 into a dictionary for immediate access from within the model. The xml 
 file is generated using a spud-compatible RELAX NG schema and a
 schema-aware editor such as Diamond. Spudtools contains the schema
 for the spud base language and the spud-preprocess script for
 converting schemas between the compact and xml syntaxes.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME=diamond
MODULE_NAME=diamond
DEB_UPSTREAM_VERSION=1.0

PYVERS=2.5

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir
	# Add here commands to configure the package.

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build-libspud: build-libspud-stamp
build-libspud-stamp: build-libspud
	touch $@

build-libspud: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) libspud.a
	#docbook-to-man debian/fluidity.sgml > fluidity.1
	$(MAKE) doc


build-diamond: build-diamond-stamp 
build-diamond-stamp: $(PYVERS:%=build-python%)
	touch $@
build-python%: config.status
# Force setuptools, but reset sys.argv[0] to 'setup.py' because setup.py files expect that.
	cd diamond;python$* -c "import setuptools,sys;f='setup.py';sys.argv[0]=f;execfile(f,{'__file__':f,'__name__':'__main__'})" build
	touch $@
clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf dist build
	-find -name '*.py[co]' | xargs rm -f
	$(MAKE) clean || true
#	find . -name *.pyc -exec rm {} \;
	dh_clean

install-libspud: build-libspud install-prereq
	$(MAKE) install-libspud DESTDIR=$(CURDIR)/debian/libspud-dev

install-spudtools: install-prereq
	$(MAKE) install-spudtools DESTDIR=$(CURDIR)/debian/spudtools

install-diamond: build-diamond install-prereq $(PYVERS:%=install-python%)
install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a 

install-python%:
# Force setuptools, but reset sys.argv[0] to 'setup.py' because setup.py files expect that.
	cd diamond;python$* -c "import setuptools,sys;f='setup.py';sys.argv[0]=f;execfile(f,{'__file__':f,'__name__':'__main__'})" install		 --no-compile --single-version-externally-managed		 --root $(CURDIR)/debian/${PACKAGE_NAME}
	mv debian/${PACKAGE_NAME}/usr/lib/python$*/site-packages/${MODULE_NAME}-${DEB_UPSTREAM_VERSION}-py$*.egg-info		 debian/${PACKAGE_NAME}/usr/lib/python$*/site-packages/${MODULE_NAME}.egg-info

binary-arch: build-libspud install-libspud install-spudtools
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-diamond install-diamond
	dh_testdir -i
	dh_testroot -i
	dh_pycentral -i
	dh_installdocs -i
	dh_installdirs -i
	dh_installexamples  -i
	dh_strip -i
	dh_compress -i -X.py
	dh_fixperms -i
	: # Replace all '#!' calls to python with $(PYTHON)
	: # and make them executable
	for i in \
	  `find debian/diamond/usr/bin -type f` \
	  `find debian/diamond/usr/lib -type f`; \
	do \
	  case "$$i" in *-[0-9].[0-9]) continue; esac; \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary-diamond binary-libspud install configure
